//Key Matrix
//TREEE Tech
//C1~C4 --> D2~D5
//R1~R4 --> D6~D9
unsigned char key[16] = {0};

void setup() {
  // put your setup code here, to run once:
  pinMode(2, 0);
  pinMode(3, 0);
  pinMode(4, 0);
  pinMode(5, 0);
  pinMode(6, INPUT_PULLUP);
  pinMode(7, INPUT_PULLUP);
  pinMode(8, INPUT_PULLUP);
  pinMode(9, INPUT_PULLUP);
  Serial.begin(115200);
}

void loop() {
  // put your main code here, to run repeatedly:
  for (int i = 2; i <= 5; i++)
  {
    pinMode(i, 1);
    digitalWrite(i, 0);
    delay(1);
    for (int j = 6; j <= 9; j++)
    {
      if (digitalRead(j))
      {
        key[(i-2) * 4 + (j - 6)] = 1;
      }
      else
      {
        key[(i-2) * 4 + (j - 6)] = 0;
      }
    }
    digitalWrite(i, 1);
    pinMode(i, 0);
  }
  for (int i = 0; i < 16; i++)
  {
    Serial.print(key[i]);
    Serial.print(' ');
  }
  Serial.print('\n');
  delay(100);
}
